---
title: Update a mute rule
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Security Monitoring
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update a mute rule{% #update-a-mute-rule %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                               |
| ----------------- | ------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/security/findings/automation/mute_rules/{rule_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/security/findings/automation/mute_rules/{rule_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/security/findings/automation/mute_rules/{rule_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/security/findings/automation/mute_rules/{rule_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/security/findings/automation/mute_rules/{rule_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/security/findings/automation/mute_rules/{rule_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/security/findings/automation/mute_rules/{rule_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/security/findings/automation/mute_rules/{rule_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/security/findings/automation/mute_rules/{rule_id} |

### Overview

Update an existing mute rule by ID. This endpoint requires the `security_pipelines_write` permission.

### Arguments

#### Path Parameters

| Name                      | Type   | Description              |
| ------------------------- | ------ | ------------------------ |
| rule_id [*required*] | string | The ID of the mute rule. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                           | Type     | Description                                                                                                                                                                                                                                                                                  |
| ------------ | ------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]          | object   | The data object for a mute rule create or update request.                                                                                                                                                                                                                                    |
| data         | attributes [*required*]    | object   | Attributes for creating or updating a mute rule.                                                                                                                                                                                                                                             |
| attributes   | action [*required*]        | object   | The action to take when the mute rule matches a finding.                                                                                                                                                                                                                                     |
| action       | expire_at                       | int64    | The Unix timestamp in milliseconds at which the mute expires. If omitted, the mute does not expire.                                                                                                                                                                                          |
| action       | reason [*required*]        | enum     | The reason for muting a security finding. Allowed enum values: `duplicate,false_positive,no_fix,other,pending_fix,risk_accepted`                                                                                                                                                             |
| action       | reason_description              | string   | An optional description providing more context for the mute reason.                                                                                                                                                                                                                          |
| attributes   | enabled                         | boolean  | Whether the mute rule is enabled.                                                                                                                                                                                                                                                            |
| attributes   | name [*required*]          | string   | The name of the mute rule.                                                                                                                                                                                                                                                                   |
| attributes   | rule [*required*]          | object   | Defines the scope of findings to which the automation rule applies.                                                                                                                                                                                                                          |
| rule         | finding_types [*required*] | [string] | The list of security finding types that the automation rule applies to.                                                                                                                                                                                                                      |
| rule         | query                           | string   | A search query to further filter the findings matched by this rule. The `@workflow.*` namespace and `@status` fields are not permitted. For a reference of available fields, see the [Security Findings schema documentation](https://docs.datadoghq.com/security/guide/findings-schema.md). |
| data         | type [*required*]          | enum     | The JSON:API type for mute rules. Allowed enum values: `mute_rules`                                                                                                                                                                                                                          |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": {
        "reason": "false_positive"
      },
      "enabled": false,
      "name": "Example-Security-Monitoring",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:staging"
      }
    },
    "type": "mute_rules"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
Successfully updated the mute rule
{% tab title="Model" %}
A single mute rule response.

| Parent field | Field                           | Type     | Description                                                                                                                                                                                                                                                                                  |
| ------------ | ------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]          | object   | The data object for a mute rule returned by the API.                                                                                                                                                                                                                                         |
| data         | attributes [*required*]    | object   | Attributes of a mute rule returned by the API.                                                                                                                                                                                                                                               |
| attributes   | action [*required*]        | object   | The action to take when the mute rule matches a finding.                                                                                                                                                                                                                                     |
| action       | expire_at                       | int64    | The Unix timestamp in milliseconds at which the mute expires. If omitted, the mute does not expire.                                                                                                                                                                                          |
| action       | reason [*required*]        | enum     | The reason for muting a security finding. Allowed enum values: `duplicate,false_positive,no_fix,other,pending_fix,risk_accepted`                                                                                                                                                             |
| action       | reason_description              | string   | An optional description providing more context for the mute reason.                                                                                                                                                                                                                          |
| attributes   | created_at [*required*]    | int64    | The Unix timestamp in milliseconds when the rule was created.                                                                                                                                                                                                                                |
| attributes   | created_by [*required*]    | object   | The user or Datadog system who created the rule.                                                                                                                                                                                                                                             |
| created_by   | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                 |
| created_by   | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                       |
| created_by   | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                        |
| attributes   | enabled [*required*]       | boolean  | Whether the mute rule is enabled.                                                                                                                                                                                                                                                            |
| attributes   | modified_at [*required*]   | int64    | The Unix timestamp in milliseconds when the rule was last modified.                                                                                                                                                                                                                          |
| attributes   | modified_by [*required*]   | object   | The user or Datadog system who last modified the rule.                                                                                                                                                                                                                                       |
| modified_by  | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                 |
| modified_by  | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                       |
| modified_by  | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                        |
| attributes   | name [*required*]          | string   | The name of the mute rule.                                                                                                                                                                                                                                                                   |
| attributes   | rule [*required*]          | object   | Defines the scope of findings to which the automation rule applies.                                                                                                                                                                                                                          |
| rule         | finding_types [*required*] | [string] | The list of security finding types that the automation rule applies to.                                                                                                                                                                                                                      |
| rule         | query                           | string   | A search query to further filter the findings matched by this rule. The `@workflow.*` namespace and `@status` fields are not permitted. For a reference of available fields, see the [Security Findings schema documentation](https://docs.datadoghq.com/security/guide/findings-schema.md). |
| data         | id [*required*]            | uuid     | The ID of the mute rule.                                                                                                                                                                                                                                                                     |
| data         | type [*required*]          | enum     | The JSON:API type for mute rules. Allowed enum values: `mute_rules`                                                                                                                                                                                                                          |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": {
        "expire_at": 4070908800000,
        "reason": "risk_accepted",
        "reason_description": "Accepted for dev environments only"
      },
      "created_at": 1722439510282,
      "created_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "enabled": true,
      "modified_at": 1722439510282,
      "modified_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "name": "Mute accepted risks in dev",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:prod team:platform"
      }
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "type": "mute_rules"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="422" %}
Unprocessable Entity
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export rule_id="00000000-0000-0000-0000-000000000000" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/security/findings/automation/mute_rules/${rule_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "action": {
        "reason": "risk_accepted"
      },
      "enabled": false,
      "name": "Mute accepted risks in dev",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:dev"
      }
    },
    "type": "mute_rules"
  }
}
EOF 
                        
##### 

```go
// Update a mute rule returns "Successfully updated the mute rule" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	// there is a valid "valid_mute_rule" in the system
	ValidMuteRuleDataID := uuid.MustParse(os.Getenv("VALID_MUTE_RULE_DATA_ID"))

	body := datadogV2.MuteRuleUpdateRequest{
		Data: datadogV2.MuteRuleDataCreate{
			Attributes: datadogV2.MuteRuleAttributesCreate{
				Action: datadogV2.MuteRuleAction{
					Reason: datadogV2.MUTEREASON_FALSE_POSITIVE,
				},
				Enabled: datadog.PtrBool(false),
				Name:    "Example-Security-Monitoring",
				Rule: datadogV2.AutomationRuleScope{
					FindingTypes: []datadogV2.SecurityFindingType{
						datadogV2.SECURITYFINDINGTYPE_MISCONFIGURATION,
					},
					Query: datadog.PtrString("env:staging"),
				},
			},
			Type: datadogV2.MUTERULETYPE_MUTE_RULES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateSecurityFindingsAutomationMuteRule", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSecurityMonitoringApi(apiClient)
	resp, r, err := api.UpdateSecurityFindingsAutomationMuteRule(ctx, ValidMuteRuleDataID, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SecurityMonitoringApi.UpdateSecurityFindingsAutomationMuteRule`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SecurityMonitoringApi.UpdateSecurityFindingsAutomationMuteRule`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update a mute rule returns "Successfully updated the mute rule" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SecurityMonitoringApi;
import com.datadog.api.client.v2.model.AutomationRuleScope;
import com.datadog.api.client.v2.model.MuteReason;
import com.datadog.api.client.v2.model.MuteRuleAction;
import com.datadog.api.client.v2.model.MuteRuleAttributesCreate;
import com.datadog.api.client.v2.model.MuteRuleDataCreate;
import com.datadog.api.client.v2.model.MuteRuleResponse;
import com.datadog.api.client.v2.model.MuteRuleType;
import com.datadog.api.client.v2.model.MuteRuleUpdateRequest;
import com.datadog.api.client.v2.model.SecurityFindingType;
import java.util.Collections;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateSecurityFindingsAutomationMuteRule", true);
    SecurityMonitoringApi apiInstance = new SecurityMonitoringApi(defaultClient);

    // there is a valid "valid_mute_rule" in the system
    UUID VALID_MUTE_RULE_DATA_ID = null;
    try {
      VALID_MUTE_RULE_DATA_ID = UUID.fromString(System.getenv("VALID_MUTE_RULE_DATA_ID"));
    } catch (IllegalArgumentException e) {
      System.err.println("Error parsing UUID: " + e.getMessage());
    }

    MuteRuleUpdateRequest body =
        new MuteRuleUpdateRequest()
            .data(
                new MuteRuleDataCreate()
                    .attributes(
                        new MuteRuleAttributesCreate()
                            .action(new MuteRuleAction().reason(MuteReason.FALSE_POSITIVE))
                            .enabled(false)
                            .name("Example-Security-Monitoring")
                            .rule(
                                new AutomationRuleScope()
                                    .findingTypes(
                                        Collections.singletonList(
                                            SecurityFindingType.MISCONFIGURATION))
                                    .query("env:staging")))
                    .type(MuteRuleType.MUTE_RULES));

    try {
      MuteRuleResponse result =
          apiInstance.updateSecurityFindingsAutomationMuteRule(VALID_MUTE_RULE_DATA_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling SecurityMonitoringApi#updateSecurityFindingsAutomationMuteRule");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Update a mute rule returns "Successfully updated the mute rule" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.security_monitoring_api import SecurityMonitoringApi
from datadog_api_client.v2.model.automation_rule_scope import AutomationRuleScope
from datadog_api_client.v2.model.mute_reason import MuteReason
from datadog_api_client.v2.model.mute_rule_action import MuteRuleAction
from datadog_api_client.v2.model.mute_rule_attributes_create import MuteRuleAttributesCreate
from datadog_api_client.v2.model.mute_rule_data_create import MuteRuleDataCreate
from datadog_api_client.v2.model.mute_rule_type import MuteRuleType
from datadog_api_client.v2.model.mute_rule_update_request import MuteRuleUpdateRequest
from datadog_api_client.v2.model.security_finding_type import SecurityFindingType

# there is a valid "valid_mute_rule" in the system
VALID_MUTE_RULE_DATA_ID = environ["VALID_MUTE_RULE_DATA_ID"]

body = MuteRuleUpdateRequest(
    data=MuteRuleDataCreate(
        attributes=MuteRuleAttributesCreate(
            action=MuteRuleAction(
                reason=MuteReason.FALSE_POSITIVE,
            ),
            enabled=False,
            name="Example-Security-Monitoring",
            rule=AutomationRuleScope(
                finding_types=[
                    SecurityFindingType.MISCONFIGURATION,
                ],
                query="env:staging",
            ),
        ),
        type=MuteRuleType.MUTE_RULES,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_security_findings_automation_mute_rule"] = True
with ApiClient(configuration) as api_client:
    api_instance = SecurityMonitoringApi(api_client)
    response = api_instance.update_security_findings_automation_mute_rule(rule_id=VALID_MUTE_RULE_DATA_ID, body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update a mute rule returns "Successfully updated the mute rule" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_security_findings_automation_mute_rule".to_sym] = true
end
api_instance = DatadogAPIClient::V2::SecurityMonitoringAPI.new

# there is a valid "valid_mute_rule" in the system
VALID_MUTE_RULE_DATA_ID = ENV["VALID_MUTE_RULE_DATA_ID"]

body = DatadogAPIClient::V2::MuteRuleUpdateRequest.new({
  data: DatadogAPIClient::V2::MuteRuleDataCreate.new({
    attributes: DatadogAPIClient::V2::MuteRuleAttributesCreate.new({
      action: DatadogAPIClient::V2::MuteRuleAction.new({
        reason: DatadogAPIClient::V2::MuteReason::FALSE_POSITIVE,
      }),
      enabled: false,
      name: "Example-Security-Monitoring",
      rule: DatadogAPIClient::V2::AutomationRuleScope.new({
        finding_types: [
          DatadogAPIClient::V2::SecurityFindingType::MISCONFIGURATION,
        ],
        query: "env:staging",
      }),
    }),
    type: DatadogAPIClient::V2::MuteRuleType::MUTE_RULES,
  }),
})
p api_instance.update_security_findings_automation_mute_rule(VALID_MUTE_RULE_DATA_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Update a mute rule returns "Successfully updated the mute rule" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_security_monitoring::SecurityMonitoringAPI;
use datadog_api_client::datadogV2::model::AutomationRuleScope;
use datadog_api_client::datadogV2::model::MuteReason;
use datadog_api_client::datadogV2::model::MuteRuleAction;
use datadog_api_client::datadogV2::model::MuteRuleAttributesCreate;
use datadog_api_client::datadogV2::model::MuteRuleDataCreate;
use datadog_api_client::datadogV2::model::MuteRuleType;
use datadog_api_client::datadogV2::model::MuteRuleUpdateRequest;
use datadog_api_client::datadogV2::model::SecurityFindingType;

#[tokio::main]
async fn main() {
    // there is a valid "valid_mute_rule" in the system
    let valid_mute_rule_data_id =
        uuid::Uuid::parse_str(&std::env::var("VALID_MUTE_RULE_DATA_ID").unwrap())
            .expect("Invalid UUID");
    let body = MuteRuleUpdateRequest::new(MuteRuleDataCreate::new(
        MuteRuleAttributesCreate::new(
            MuteRuleAction::new(MuteReason::FALSE_POSITIVE),
            "Example-Security-Monitoring".to_string(),
            AutomationRuleScope::new(vec![SecurityFindingType::MISCONFIGURATION])
                .query("env:staging".to_string()),
        )
        .enabled(false),
        MuteRuleType::MUTE_RULES,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration
        .set_unstable_operation_enabled("v2.UpdateSecurityFindingsAutomationMuteRule", true);
    let api = SecurityMonitoringAPI::with_config(configuration);
    let resp = api
        .update_security_findings_automation_mute_rule(valid_mute_rule_data_id.clone(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update a mute rule returns "Successfully updated the mute rule" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations[
  "v2.updateSecurityFindingsAutomationMuteRule"
] = true;
const apiInstance = new v2.SecurityMonitoringApi(configuration);

// there is a valid "valid_mute_rule" in the system
const VALID_MUTE_RULE_DATA_ID = process.env.VALID_MUTE_RULE_DATA_ID as string;

const params: v2.SecurityMonitoringApiUpdateSecurityFindingsAutomationMuteRuleRequest =
  {
    body: {
      data: {
        attributes: {
          action: {
            reason: "false_positive",
          },
          enabled: false,
          name: "Example-Security-Monitoring",
          rule: {
            findingTypes: ["misconfiguration"],
            query: "env:staging",
          },
        },
        type: "mute_rules",
      },
    },
    ruleId: VALID_MUTE_RULE_DATA_ID,
  };

apiInstance
  .updateSecurityFindingsAutomationMuteRule(params)
  .then((data: v2.MuteRuleResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
